Package org.spongepowered.asm.mixin.transformer.ext

## Interface ITargetClassContext

    public interface ITargetClassContext

Interface for target classes passed into transformer modules via `IExtension`

### Method Summary

All Methods Instance Methods Abstract Methods
`ClassInfo` `getClassInfo()` Get the target class metadata
`org.objectweb.asm.tree.ClassNode` `getClassNode()` Get the class tree

### Method Detail

#### getClassInfo

    ClassInfo getClassInfo()

Get the target class metadata

#### getClassNode

    org.objectweb.asm.tree.ClassNode getClassNode()

Get the class tree